@echo off

set TOOLS=%SystemDrive%\tools
set STARTMENU=%PROGRAMDATA%\Microsoft\Windows\Start Menu\Programs

echo ####### %0 #######

IF NOT EXIST ..\optional\users (
  echo ..\optional\users NOT found!
  goto END
) else (

  echo creating install links in users start menu ...
  mkdir "%STARTMENU%\INSTALL"

  cd ..\optional\users
  FOR %%L in (*.cmd) do (
    echo processing ... [ %%L ]
    mklink "%STARTMENU%\INSTALL\%%L" %TOOLS%\optional\users\%%L 2>nul
  )
  cd ..\..\scripts

)

:END
echo ####### %0 #######

